// Code generated by mockery 2.9.0. DO NOT EDIT.

package mocks

import (
	mock "github.com/stretchr/testify/mock"
	models "gitlab.com/nikita.morozov/bot-ms-core/models"
)

// IHandler is an autogenerated mock type for the IHandler type
type IHandler struct {
	mock.Mock
}

// Execute provides a mock function with given fields: params
func (_m *IHandler) Execute(params models.NodeParams) models.NodeData {
	ret := _m.Called(params)

	var r0 models.NodeData
	if rf, ok := ret.Get(0).(func(models.NodeParams) models.NodeData); ok {
		r0 = rf(params)
	} else {
		if ret.Get(0) != nil {
			r0 = ret.Get(0).(models.NodeData)
		}
	}

	return r0
}
